com.genesyslab.wfm7.API.service.schedule761

## Class SchStateDetails

- java.lang.Object
- - com.genesyslab.wfm7.API.service.schedule761.SchStateDetails

- All Implemented Interfaces:
    java.io.Serializable

      public class SchStateDetails
      extends java.lang.Object
      implements java.io.Serializable

  Request details for `SchAgentState`
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private boolean` | `provideStateInfo` Provide schedule state descriptive information or not
    `private int` | `stateLayout` State layout `ESchStateLayout`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchStateDetails()`
    `SchStateDetails(int stateLayout, boolean provideStateInfo)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getStateLayout()` Gets the stateLayout value for this SchStateDetails.
    `boolean` | `isProvideStateInfo()` Gets the provideStateInfo value for this SchStateDetails.
    `void` | `setProvideStateInfo(boolean provideStateInfo)` Sets the provideStateInfo value for this SchStateDetails.
    `void` | `setStateLayout(int stateLayout)` Sets the stateLayout value for this SchStateDetails.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### stateLayout

          private int stateLayout

      State layout `ESchStateLayout`

    - #### provideStateInfo

          private boolean provideStateInfo

      Provide schedule state descriptive information or not

  - ### Constructor Detail

    - #### SchStateDetails

          public SchStateDetails()

    - #### SchStateDetails

          public SchStateDetails(int stateLayout,
                         boolean provideStateInfo)

  - ### Method Detail

    - #### getStateLayout

          public int getStateLayout()

      Gets the stateLayout value for this SchStateDetails.
      Returns:
        stateLayout

    - #### setStateLayout

          public void setStateLayout(int stateLayout)

      Sets the stateLayout value for this SchStateDetails.
      Parameters:
        `stateLayout` -

    - #### isProvideStateInfo

          public boolean isProvideStateInfo()

      Gets the provideStateInfo value for this SchStateDetails.
      Returns:
        provideStateInfo

    - #### setProvideStateInfo

          public void setProvideStateInfo(boolean provideStateInfo)

      Sets the provideStateInfo value for this SchStateDetails.
      Parameters:
        `provideStateInfo` -

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.